Redmine - Defect #5568

No result from curl "http://admin:1234@localhost:3000/issues.xml"
2010-05-21 10:01 - Stefan Kristl

Status: Closed Start date: 2010-05-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 0.9.4
Description

When | try the REST interface from a shell, i got no result for curl "http://admin:1234@Ilocalhost:3000/issues.xml" although there are
issues. The same is with curl "http://admin:1234@Ilocalhost:3000/projects.xml".
With curl "http://admin:1234@localhost:3000/news.xml" it works fine, and i get a xml string.

History

#1 - 2010-05-21 10:27 - Ngewi Fet

As far as i know, this is something which is planned for version 1.0. See issue #1214.
The changelog of version 0.9.0 says REST APIs for (almost) everything. So | guess issues REST APlIs are not done yet.

#2 - 2010-05-22 10:33 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

REST API for issues is in trunk only, not in 0.9.4 stable.
